curl -X GET "https://api.hooked.so/v1/social/account/list?platform=tiktok" \
-H "x-api-key: your_api_key_here"
const response = await fetch('https://api.hooked.so/v1/social/account/list?platform=tiktok', {
headers: {
'x-api-key': 'your_api_key_here'
}
});
const data = await response.json();
console.log(data.data.accounts);
import requests
response = requests.get(
'https://api.hooked.so/v1/social/account/list',
params={'platform': 'tiktok'},
headers={'x-api-key': 'your_api_key_here'}
)
accounts = response.json()['data']['accounts']
{
"success": true,
"data": {
"accounts": [
{
"id": "clx123abc",
"username": "fitnessguru",
"platform": "tiktok",
"displayName": "Fitness Guru",
"bio": "Helping you get fit one video at a time",
"avatarUrl": "https://cdn.tiktok.com/avatar.jpg",
"isVerified": true,
"stats": {
"followers": 1500000,
"following": 250,
"videos": 342,
"likes": 45000000
},
"analytics": {
"engagementRate": 12.5,
"viralityScore": 78.3,
"avgViews": 890000
},
"topHashtags": ["fitness", "workout", "gym"],
"keywords": ["fitness", "exercise", "motivation"],
"keywordsStatus": "completed",
"lastAnalyzed": "2024-01-15T10:30:00Z",
"createdAt": "2024-01-01T00:00:00Z",
"profileUrl": "https://www.tiktok.com/@fitnessguru"
}
],
"total": 15,
"limit": 50,
"offset": 0
}
}
Social Accounts
List Accounts
Get all social accounts analyzed by your team
GET
/
v1
/
social
/
account
/
list
curl -X GET "https://api.hooked.so/v1/social/account/list?platform=tiktok" \
-H "x-api-key: your_api_key_here"
const response = await fetch('https://api.hooked.so/v1/social/account/list?platform=tiktok', {
headers: {
'x-api-key': 'your_api_key_here'
}
});
const data = await response.json();
console.log(data.data.accounts);
import requests
response = requests.get(
'https://api.hooked.so/v1/social/account/list',
params={'platform': 'tiktok'},
headers={'x-api-key': 'your_api_key_here'}
)
accounts = response.json()['data']['accounts']
{
"success": true,
"data": {
"accounts": [
{
"id": "clx123abc",
"username": "fitnessguru",
"platform": "tiktok",
"displayName": "Fitness Guru",
"bio": "Helping you get fit one video at a time",
"avatarUrl": "https://cdn.tiktok.com/avatar.jpg",
"isVerified": true,
"stats": {
"followers": 1500000,
"following": 250,
"videos": 342,
"likes": 45000000
},
"analytics": {
"engagementRate": 12.5,
"viralityScore": 78.3,
"avgViews": 890000
},
"topHashtags": ["fitness", "workout", "gym"],
"keywords": ["fitness", "exercise", "motivation"],
"keywordsStatus": "completed",
"lastAnalyzed": "2024-01-15T10:30:00Z",
"createdAt": "2024-01-01T00:00:00Z",
"profileUrl": "https://www.tiktok.com/@fitnessguru"
}
],
"total": 15,
"limit": 50,
"offset": 0
}
}
Overview
This endpoint returns all social media accounts that have been analyzed by your team. Use this to view your saved creators and their analytics.Query Parameters
string
Filter by platform:
tiktok: TikTok accounts onlyyoutube: YouTube accounts only- Omit to get accounts from all platforms
number
default:"50"
Number of accounts to return (1-100)
number
default:"0"
Pagination offset
Response
boolean
Indicates if the request was successful
object
Show data
Show data
array
Array of analyzed account objects
Show account
Show account
string
Internal account ID
string
Account username/handle
string
Platform (tiktok or youtube)
string
Display name
string
Account bio/description
string
Profile picture URL
boolean
Whether the account is verified
object
Follower count, following, videos, and likes
object
Engagement rate, virality score, and average views
array
Most used hashtags
array
Extracted content keywords
string
Last analysis timestamp
string
Link to the profile
number
Total accounts analyzed
curl -X GET "https://api.hooked.so/v1/social/account/list?platform=tiktok" \
-H "x-api-key: your_api_key_here"
const response = await fetch('https://api.hooked.so/v1/social/account/list?platform=tiktok', {
headers: {
'x-api-key': 'your_api_key_here'
}
});
const data = await response.json();
console.log(data.data.accounts);
import requests
response = requests.get(
'https://api.hooked.so/v1/social/account/list',
params={'platform': 'tiktok'},
headers={'x-api-key': 'your_api_key_here'}
)
accounts = response.json()['data']['accounts']
{
"success": true,
"data": {
"accounts": [
{
"id": "clx123abc",
"username": "fitnessguru",
"platform": "tiktok",
"displayName": "Fitness Guru",
"bio": "Helping you get fit one video at a time",
"avatarUrl": "https://cdn.tiktok.com/avatar.jpg",
"isVerified": true,
"stats": {
"followers": 1500000,
"following": 250,
"videos": 342,
"likes": 45000000
},
"analytics": {
"engagementRate": 12.5,
"viralityScore": 78.3,
"avgViews": 890000
},
"topHashtags": ["fitness", "workout", "gym"],
"keywords": ["fitness", "exercise", "motivation"],
"keywordsStatus": "completed",
"lastAnalyzed": "2024-01-15T10:30:00Z",
"createdAt": "2024-01-01T00:00:00Z",
"profileUrl": "https://www.tiktok.com/@fitnessguru"
}
],
"total": 15,
"limit": 50,
"offset": 0
}
}
Use the Analyze Account endpoint to add new accounts to your analysis list.
⌘I